#
# spec file for package SPident (Version 0.9)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           SPident
Version:        0.9
Release:        74.4
Summary:        Service Pack Identification Tool
License:        GPL
Group:          System/Management
Autoreqprov:    on
BuildArch:    noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         SPident.tar.bz2
Source1:        SPident-legacy.tar.bz2
Source2:        SPident-data.tar.bz2

%description
This program queries the RPM database and matches each installed
package against all known Service Packs.  The newest SP, which is not
violated by any out-of-date package, is announced as being "installed".



Authors:
--------
    Raymund Will <rw@suse.de>

%debug_package
%prep
%setup -q -n %{name} -b 1 -a 2

%build
%define datadir	/usr/share/misc/SPident
make DBDIR=%{datadir} VERSION="%{version}-%{release}"

%install
export DESTDIR=$RPM_BUILD_ROOT
{ set -x;perl -e '$_=$ENV{DESTDIR}."/"; exit(!m:/tmp/\w\S+/: || m:/\.\./:)' &&
rm -rf $DESTDIR; }||{ set -x;echo "Invalid BuildRoot: '$DESTDIR'!">&2;false; }
mkdir -p $DESTDIR
# record, which distribution we're trying to build for to logfile...
make dist
# SLES8 doesn't retain 'noarch' in  %{_target_cpu} => enforce it
make DESTDIR=$RPM_BUILD_ROOT DBDIR=%{datadir} ARCH=noarch install

%clean
export DESTDIR=$RPM_BUILD_ROOT
{ set -x;perl -e '$_=$ENV{DESTDIR}."/"; exit(!m:/tmp/\w\S+/: || m:/\.\./:)' &&
rm -rf $DESTDIR; }||{ set -x;echo "Invalid BuildRoot: '$DESTDIR'!">&2;false; }

%files
%defattr(-,root,root)
/usr/bin/SPident
%{datadir}
/usr/share/man/man8/*

%changelog -n SPident
* Tue Jun 20 2006 - ro@suse.de
- added temporary data for SLES10 post RC2
* Wed Apr 12 2006 - rw@suse.de
- Fix build problem for "initial" product releases
* Thu Feb 09 2006 - rw@suse.de
- Get ready for SLES10  (#149399)
* Mon Jan 09 2006 - ro@suse.de
- Add SLES9 SP3 data
* Fri Oct 21 2005 - rw@suse.de
- Don't throw in the towel so fast  (#128921)
* Tue Jul 12 2005 - kukuk@suse.de
- Add SLES9 SP2 data
* Mon Jun 13 2005 - rw@suse.de
- Force consideration of conflicts with every know SP  (#74631)
- Amend man page
* Fri Jun 03 2005 - rw@suse.de
- Improve sorting of "layered" products  (#74631)
* Tue May 31 2005 - rw@suse.de
- Sort 'NLPOS-x' after 'SLES-x-SP1'  (#74631)
- Improve usablity by readily disclosing both encountered and
  expected versions for conflicts and updates
- Enhance "Conclusion" once more
- Use Micha's Perl re-implementation of RPM's version-comparison
  algorithm
* Tue Apr 12 2005 - rw@suse.de
- Fix packaging in SLES8 build environment
- "Improve" version compare for braindead packages  (#66949)
- Another attempt to improve "verboseness"
- Split out legacy data into separate tarball and integrate data for
  SLES8 SP3a PPC, SLES8/UL1 SP4, SLES9 SP1, and NLD9 SP1
- Update vendor strings (for NLD)
* Mon Jan 17 2005 - kukuk@suse.de
- Update date for SLES9 SP1
* Mon Jan 10 2005 - rw@suse.de
- Improve "default" verbosity
* Tue Dec 14 2004 - rw@suse.de
- Include SLES9 data in base package
- Update vendor strings
* Fri Jul 02 2004 - kukuk@suse.de
- Add ix86 and ia64 data
* Fri Jul 02 2004 - rw@suse.de
- Enhance compatibility with various architectures
- Improve detection of SP level
* Fri Jul 02 2004 - ro@suse.de
- Add SLES9 data files
* Thu Jul 01 2004 - rw@suse.de
- refurbished for SLES9
* Fri Feb 06 2004 - rw@suse.de
- initial release
